com.r3corda.node.services.network / WireNodeRegistration

# WireNodeRegistration

`class WireNodeRegistration : SignedData<NodeRegistration>`

A node registration and its signature as a pair.

### Constructors

<init> | `WireNodeRegistration(raw: SerializedBytes<NodeRegistration>, sig: WithKey)` A node registration and its signature as a pair.

### Inherited Properties

raw | `val raw: SerializedBytes<T>`
sig | `val sig: WithKey`

### Functions

verifyData | `fun verifyData(data: NodeRegistration): Unit` Verify the wrapped data after the signature has been verified and the data deserialised. Provided as an extension point for subclasses.

### Inherited Functions

verified | `fun verified(): T` Return the deserialized data if the signature can be verified.